<?php

ini_set('display_errors',1);

session_start();

date_default_timezone_set('America/Lima');

if($_SESSION["sistema"]!= "1"){ header("location: ../../index.php"); exit();}

require_once ("../../config/Cado.php");



require_once ("../tipocambio/cTipocambio.php");

$oTipocambio = new cTipocambio();



require_once("../tipocambiotesoreria/cTipocambiotesoreria.php");

$oTipocambiotesoreria = new cTipocambiotesoreria();



require_once("../formatos/formato.php");



require ("../../libreriasphp/consultaruc/curl.php");

require ("../../libreriasphp/consultaruc/sunat.php");

$sunat = new Sunat();





require_once dirname(__FILE__) . '/../../libreriasphp/phpexcel/Classes/PHPExcel.php';



move_uploaded_file($_FILES['file_archivo']['tmp_name'],$_FILES['file_archivo']['name']);



$archivo = $_FILES['file_archivo']['name'];



$inputFileType = PHPExcel_IOFactory::identify($archivo);

$objReader = PHPExcel_IOFactory::createReader($inputFileType);

$objPHPExcel = $objReader->load($archivo);

$sheet = $objPHPExcel->getSheet(0); 

$highestRow = $sheet->getHighestRow(); 

$highestColumn = $sheet->getHighestColumn();





for ($row = 2; $row <= $highestRow; $row++){ 



		$fec = $sheet->getCell("A".$row)->getValue();	

		$valor = $sheet->getCell("B".$row)->getValue();

		

		

		$fec1 =  date('Y-m-d',mktime(12,0,0,1, $fec - 1,1900));

		$fec1 = str_ireplace(' ','',$fec1);

		$fecha = str_ireplace('/','-',$fec1);

		

		// echo $fecha;

		

		$oTipocambio->insertar(

				fecha_mysql($fecha), 

				$valor

		);

		

		$val = $valor + 0.10;

		

		$oTipocambiotesoreria->insertar(

				fecha_mysql($fecha),

				$val

		);

	

}



unlink($archivo);



	 $data['com_msj']='Archivo procesado correctamente.';			

	echo json_encode($data);			

?>